मैं रास्पबेरी पीआई में सही फायरबेस पैकेज आयात नहीं कर सकता।

My code:
from firebase import firebase
db = firebase.FirebaseApplication("https://xyz.firebaseio.com/", None)

Error:
Traceback (most recent call last):
  File "datastorage.py", line 1, in <module>
    from firebase import firebase
firebase/__init__.py", line 14, in <module>
    import python_jwt as jwt
ModuleNotFoundError: No module named 'python_jwt'

मैंने इस कमांड का उपयोग करने की कोशिश की और इससे कोई फायदा नहीं हुआ:

sudo pip install requests
sudo pip install python-firebase
pip install jwt

मैं पायथन 3.7.3 और रास्पियन बस्टर का उपयोग करता हूं। सभी मेरे पीसी पर काम करते हैं लेकिन आरपीआई 3बी+ पर नहीं।

5
paul95 12 अक्टूबर 2019, 16:11

3 जवाब

सबसे बढ़िया उत्तर

मैंने @naive की सलाह का इस्तेमाल किया।

पाइप स्थापित करें python_jwt

उसके बाद मैंने उस क्रम में एक और त्रुटि हल की:

pip install gcloud
pip install sseclient
pip install pycrypto
pip install requests-toolbelt

और अब मैं देखता हूं कि यह काम करता है। समस्या का समाधान हुआ।

12
paul95 12 अक्टूबर 2019, 16:41

मुझे लगता है कि आपको jwt के बजाय python_jwt की आवश्यकता है। तुम कर सकते हो:

pip install python_jwt

0
Amitabh-G 12 अक्टूबर 2019, 16:21

यदि आप इस पुस्तकालय का जिक्र कर रहे हैं: https://pyjwt.readthedocs.io/en/latest/

फिर आपको इस तरह स्थापित करने की आवश्यकता है: pip install PyJWT

और बाद में यह काम करेगा: import jwt

0
Joe Gasewicz 4 नवम्बर 2019, 19:16